
Figure - Bug #119110
[HSP] 在连接蓝牙耳机并且播放歌曲的情况下，开始发送微信语音消息时，耳机里面可以听到电流声
2023-07-28 16:36 - CD LC涂宇

Status: CLOSED Start date: 2023-07-28

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0118.c106

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 在通知HeadsetStateMachine状态改变之前，先将呼叫状态设置好。这样就会去suspend a2dp

Description

在连接蓝牙耳机并且播放歌曲的情况下，点击开始发送微信语音消息瞬间，耳机里面可以听到电流声

History

#1 - 2023-07-29 12:23 - CD LC邓帅

- Subject changed from [HSP] 电流声 to [HSP] 在连接蓝牙耳机并且播放歌曲的情况下，开始发送微信语音消息时，耳机里面可以听到电流声

- Found Version changed from latest version to 01.00.0118.c106

#2 - 2023-07-29 12:23 - CD LC邓帅

- Description updated

#3 - 2023-07-29 15:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218286 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

taohp0107@thundersoft.com

[LC-BT]: [HFP]Ensure call state is set in system interface before posted to HSMTo solve audio noise (current sound) when sending voice messageswhile playing

music, change setting call state in system interfacebefore posted to HSM to ensure suspend a2dp.TC-RID: 0201-0400102IssueID: TS-R-BUG-119110,

IOVDEV-37350Change-Id: Ibd9e7fd6ed9b6dfa7a8eb3a65f27264919736648

#4 - 2023-08-01 22:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

219406 general/platform/vendor/qcom-opens

ource/packages/apps/Bluetooth

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04 1/2



[LC-BT]: [HFP]Ensure call state is set in system interface before posted to HSMTo solve audio noise (current sound) when sending voice messageswhile playing

music, change setting call state in system interfacebefore posted to HSM to ensure suspend a2dp.TC-RID: 0201-0400102IssueID: TS-R-BUG-119110,

IOVDEV-37350Change-Id: Ibd9e7fd6ed9b6dfa7a8eb3a65f27264919736648(cherry picked from commit fc0cbf907e0d743fb337575d81b60ea78bb00a00)

#5 - 2023-08-03 17:24 - CD TPM-王祥林

- Category set to LC

- Status changed from New to RESOLVED

- Assignee set to CDTS_TEST 王成

- Resolution changed from -- to FIXED

- Root cause set to 在通知HeadsetStateMachine状态改变之前，先将呼叫状态设置好。这样就会去suspend a2dp

#6 - 2023-08-07 16:31 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 物联网测试组_TSCD 王维

跟踪验证

#7 - 2023-09-11 16:24 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

该bug在0130之后的版本未再复现

#8 - 2023-09-11 16:25 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
